common.hpp File Reference

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Set
| Finite integer sets.
namespace | Gecode::Set::Rel
| Standard set relation propagators.

## Macros

#define | GECODE_SET_ME_CHECK_VAL(p, f)
#define | GECODE_SET_ME_CHECK_VAL_B(modified, tell, f)

## Functions

template<class VX, class VY>
bool | Gecode::Set::Rel::same (VX c, VY y)
| Test whether two views are in fact the same.
template<>
bool | Gecode::Set::Rel::same (SetView x, SetView y)
bool | Gecode::Set::Rel::subsumesME (ModEvent me0, ModEvent me1, ModEvent me2, ModEvent me)
bool | Gecode::Set::Rel::subsumesME (ModEvent me0, ModEvent me1, ModEvent me)
bool | Gecode::Set::Rel::subsumesME (ModEvent me0, ModEvent me)
bool | Gecode::Set::Rel::testSetEventLB (ModEvent me0, ModEvent me1, ModEvent me2)
bool | Gecode::Set::Rel::testSetEventUB (ModEvent me0, ModEvent me1, ModEvent me2)
bool | Gecode::Set::Rel::testSetEventAnyB (ModEvent me0, ModEvent me1, ModEvent me2)
bool | Gecode::Set::Rel::testSetEventCard (ModEvent me0, ModEvent me1, ModEvent me2)
bool | Gecode::Set::Rel::testSetEventLB (ModEvent me0, ModEvent me1)
bool | Gecode::Set::Rel::testSetEventUB (ModEvent me0, ModEvent me1)
bool | Gecode::Set::Rel::testSetEventAnyB (ModEvent me0, ModEvent me1)
bool | Gecode::Set::Rel::testSetEventCard (ModEvent me0, ModEvent me1)
bool | Gecode::Set::Rel::testSetEventLB (ModEvent me0)
bool | Gecode::Set::Rel::testSetEventUB (ModEvent me0)
bool | Gecode::Set::Rel::testSetEventAnyB (ModEvent me0)
bool | Gecode::Set::Rel::testSetEventCard (ModEvent me0)

## Macro Definition Documentation

## GECODE_SET_ME_CHECK_VAL

#define GECODE_SET_ME_CHECK_VAL | ( |  | p,
|  |  | f )

Value:
{ \
ModEvent __me__ ## __LINE__ = (p); \
if (me_failed(__me__ ## __LINE__)) return ES_FAILED; \
if (ME_GEN_ASSIGNED==(__me__ ## __LINE__))f=true; }

Definition at line 40 of file common.hpp.

## GECODE_SET_ME_CHECK_VAL_B

#define GECODE_SET_ME_CHECK_VAL_B | ( |  | modified,
|  |  | tell,
|  |  | f )

Value:
{ \
ModEvent me = (tell); \
modified |= me_modified(me); \
if (ME_GEN_ASSIGNED==(me))f=true; \
GECODE_ME_CHECK(me); \
}

Definition at line 45 of file common.hpp.